Index: trunk/SophyaLib/HiStats/Makefile.mgr
===================================================================
--- trunk/SophyaLib/HiStats/Makefile.mgr	(revision 2735)
+++ trunk/SophyaLib/HiStats/Makefile.mgr	(revision 2735)
@@ -0,0 +1,243 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libHiStats.a
+clean:
+	rm -f $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
+	rm -f $(LIB)libHiStats.a
+$(LIB)libHiStats.a : $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)basedtable.o: basedtable.cc basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h \
+  $(INC)sopnamsp.h
+$(OBJ)datatable.o: datatable.cc datatable.h basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h \
+  $(INC)sopnamsp.h \
+  $(INC)strutil.h \
+  $(INC)fiosegdb.h \
+  $(INC)ppftpointerio.h
+$(OBJ)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h swppfdtable.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h \
+  $(INC)sopnamsp.h \
+  $(INC)fiosegdb.h
+$(OBJ)hisprof.o: hisprof.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h hisprof.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h histos.h
+$(OBJ)histerr.o: histerr.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h histinit.h \
+  $(INC)ntoolsinit.h \
+  $(INC)tarrinit.h \
+  $(INC)sophyainit.h histerr.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h histos.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h
+$(OBJ)histinit.o: histinit.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h histinit.h \
+  $(INC)ntoolsinit.h \
+  $(INC)tarrinit.h \
+  $(INC)sophyainit.h histos.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h histos2.h hisprof.h histerr.h \
+  ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
+  $(INC)segdatablock.h swppfdtable.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h
+$(OBJ)histos.o: histos.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h histos.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)poly.h \
+  $(INC)strutil.h
+$(OBJ)histos2.o: histos2.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h histos2.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h \
+  $(INC)fmath.h histos.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h
+$(OBJ)ntupintf.o: ntupintf.cc $(INC)sopnamsp.h \
+  ntupintf.h $(INC)machdefs.h \
+  $(INC)pexceptions.h
+$(OBJ)ntuple.o: ntuple.cc $(INC)sopnamsp.h \
+  $(INC)strutil.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h \
+  $(INC)machdefs.h ntuple.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)mutyv.h
+$(OBJ)proxtuple.o: proxtuple.cc $(INC)sopnamsp.h \
+  proxtuple.h ntuple.h $(INC)objfio.h \
+  $(INC)machdefs.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)mutyv.h
+$(OBJ)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
+  $(INC)machdefs.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)mutyv.h \
+  $(INC)segdatablock.h \
+  $(INC)swsegdb.h \
+  $(INC)ppfswapper.h \
+  $(INC)ppftpointerio.h \
+  $(INC)sopnamsp.h
+$(OBJ)xntuple.o: xntuple.cc $(INC)sopnamsp.h \
+  $(INC)ppersist.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)perrors.h xntuple.h ntupintf.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h
